Subject: Adding non-bare branches to a non-bare repository

From: "[email-masked]" <[email-masked]>
Date: Thu, 3 Mar 2011 10:53:35 +0000

Hi,

My website is a non-bare git repository. I have a copy of the website for 
testing purposes which is a separate git repository. Currently these two 
repositories are not aware of each other, and I copy across files from one to 
the other in order to bring features from the test repo into the live site.

I would like to make the testing repository into a branch of the live website 
repository so that I can easily merge in changes from one to the other.

Both repositories need to be complete copies of files as they are web 
accessible and must be functional.

Is this possible?

In future I also need to make a third copy of the site to have a beta as well 
as an alpha testing copy of the website.

Thanks,

Sam.